<template>
	<div :class="clases">
		<a href="#" class="text-white hover:text-opacity-75" @click.prevent="activar_menu">
			<i class="fa fa-bars fa-2x"></i>
		</a>
		<div class="menu" :class="activado ? 'active' : ''">
			<a href="#" @click.prevent="activar_menu">
				<i class="fa fa-times fa-2x text-primario"></i>
			</a>
			<website-nav-links clases="mt-5 flex flex-col space-y-5" simple="true"></website-nav-links>
		</div>
	</div>
</template>

<script>

import WebsiteNavLinks from './WebsiteNavLinks';

export default {

  name: 'MobileNavBtn',
  props: ['clases'],
  components: {WebsiteNavLinks},
  data() {
    return {
    	activado: false
    };
  },
  methods: {
  	activar_menu(){
  		let t = this;
  		t.activado = !t.activado;
  	}
  }
};
</script>

<style lang="css" scoped>
	.menu{
		position: fixed;
		padding: 1.5rem;
		z-index: 100;
		top: 0;
		bottom: 0;
		right: 0;
		background: #fff;
		width: calc(100% - 50px);
		box-shadow: 0 0 5px rgba(0,0,0,.4);
		transition: all .35s ease;
		transform: translateX(100%);
		overflow: hidden;
		overflow-y: auto;
	}
	.menu.active{
		transform: translateX(0);
	}
</style>
